%global momorel 3

Name:           perl-Catalyst-Plugin-Prototype
Version:        1.33
Release: %{momorel}m%{?dist}
Summary:        Plugin for Prototype
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Prototype/
Source0:        http://www.cpan.org/authors/id/M/MR/MRAMBERG/Catalyst-Plugin-Prototype-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime
BuildRequires:  perl-Class-Data-Inheritable
BuildRequires:  perl-HTML-Prototype >= 1.30
Requires:       perl-Catalyst-Runtime
Requires:       perl-Class-Data-Inheritable
Requires:       perl-HTML-Prototype >= 1.30
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Some stuff to make Prototype fun.

%prep
%setup -q -n Catalyst-Plugin-Prototype-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Catalyst/*/*
%{perl_vendorlib}/Catalyst/Plugin/._Prototype.pm
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.33-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.33-2m)
- rebuild against gcc43

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.33-1m)
- update to 1.33

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.32-3m)
- use vendor

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.32-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.32-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
